@import url('https://fonts.googleapis.com/css2?family=Calistoga&display=swap');

* {
  font-family: 'Calistoga', cursive;
  box-sizing: border-box;
  margin: 0; padding: 0;
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100vw;
  height: 100;
  min-height: 100vh;
  background-image: linear-gradient(120deg,#65b2f6, #9f85fd);
  overflow-x: hidden;
}
.App {
  display: flex;
  flex-direction: column;
  align-items: center;
}
header {
  font-family: 'Calistoga', cursive;
  font-size: 36px;
  color: #fff;
  text-shadow: 5px 1px 3px #27272791;
}

header, form {
  min-height: 10vh;
  display: flex;
  align-items: center;
}

form input {
  height: 50px;
  width: 50vw;
  max-width: 800px;
  padding: 0 24px;
  font-size: 24px;
  border-radius: 24px;
  border: none;
  box-shadow: 5px 1px 3px #2727273a;
}

form {
  display: flex;
  gap: 1rem;
}

form input:focus-visible {
  outline: none;
  background-color: #eaeaea;
}

form button {
  background-color: #5395f0;
  box-shadow: 5px 1px 3px #2727273a;
  color: #fff;
  padding: 6px 12px;
  border-radius: 24px;
  border: none;
  cursor: pointer;
  transition: .3s ease-in-out;
  font-size: 24px;
}

form button:hover {
  background-color: #84b7ff;
}

.todo-list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin: 0 10%;
  gap: 1.5rem;
}

.todo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: #5395f0;
  color: #fff;
  font-size: 36px;
  border-radius: 24px;
  padding: 24px;
  min-height: 200px;
  width: 300px;
  box-shadow: 5px 1px 3px #2727273a;
}

div {
  text-align: center;
}

div > li {
  inline-size: 250px;
  overflow-wrap: break-word;
  list-style: none;
}

.btn-container {
  display: flex;
  width: 100%;
  justify-content: space-around;
}

.trash-btn, .complete-btn {
  width: 48px;
  aspect-ratio: 1/1;
  border: none;
  border-radius: 50px;
  font-size: 18px;
  cursor: pointer;
  transition: .3s ease-in-out;
  background-color: #ffffff;
  box-shadow: 5px 1px 3px #2727273a;
}

.trash-btn {
  color: red;
}

.complete-btn {
  color: green;
}


.trash-btn:hover, .complete-btn:hover {
  color: #fff;
  background-color: #d1d1d1;
}

.todo-container {
  margin: 48px;
}

.fa-trash, .fa-check {
  pointer-events: none;
}

.completed {
  opacity: .5;
  text-decoration: line-through;
}

select {
  font-size: 18px;
  border: none;
  padding: 6px 12px;
  border-radius: 50px;
  box-shadow: 5px 1px 3px #2727273a;
}

@media only screen and (max-width: 1200px) {
  header {
    font-size: 24px;
  }
  form input {
    height: 36px;
    font-size: 18px;
  }
  form button {
    padding: 8px 12px;
    font-size: 18px;
    border-radius: 24px;
  }
  .todo {
    font-size: 24px;
    min-height: 150px;
    width: 200px;
  }
  
  div > li {
    inline-size: 150px;

  }
}